This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 285331 - Review Request: jack-rack - Stereo LADSPA effects rack for the JACK audio API
Review Request: jack-rack - Stereo LADSPA effects rack for the JACK audio API
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On: 321931
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 18:57 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 17:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 04:57:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-09-10 18:57:24 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/jack-rack/jack-rack.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/jack-rack/jack-rack-1.4.6-1.kwizart.fc6.src.rpm
Description: Stereo LADSPA effects rack for the JACK audio API

There is a need to advice Fernando (ccrma maintainer) to co-ordinate the Fedora merge of this package...
Comment 1 Jason Tibbitts 2007-09-11 01:29:42 EDT
This would seem to be a duplicate of bug 232358.
Comment 2 Hans de Goede 2007-09-17 15:57:24 EDT
I've add a comment to bug 232358 to try and coordinate this.
Comment 3 Hans de Goede 2007-10-03 16:48:14 EDT
Ok, bug 232358 isn't going anywhere fast, so I've closed it, and I'll review this.
Comment 4 Hans de Goede 2007-10-03 17:58:44 EDT
okay, I've done a full review:

Must Fix:
---------

* Doesn't build on devel (as already discussed by mail) I fixed thi by adding 
  this line to %setup:
  sed -i 's/-DGTK_DISABLE_DEPRECATED=1//g' src/Makefile.*
* Set vendor to Fedora when installing .desktop file
* jack-rack.x86_64: W: file-not-utf8 /usr/share/doc/jack-rack-1.4.6/NEWS
* License: should be GPLv2+
* .desktop file Categories, drop the Utility, what did CCRMA have here? If they
  had some special X-Foo entries, please preserve these.

Should Fix:
------------
* Drop the "Encoding=.." from the ,desktop, this is deprecated
Comment 5 Nicolas Chauvet (kwizart) 2007-10-05 15:50:04 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/jack-rack/jack-rack.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/jack-rack/jack-rack-1.4.6-
2.kwizart.fc6.src.rpm
Description: Stereo LADSPA effects rack for the JACK audio API

There is another dependency with ladcca, But i don't know if it is required
The others issues are solved
Comment 6 Hans de Goede 2007-10-06 02:23:02 EDT
(In reply to comment #5)
> There is another dependency with ladcca, But i don't know if it is required
> The others issues are solved

Well, then we just need to get that reviewed first :)
Comment 7 Nicolas Chauvet (kwizart) 2007-10-07 06:41:36 EDT
Add a update request for lash!
Can someone add a potential list of package that need a rebuild if we update it
before F8 to be gold ? (rawhide installation not ready)...
Comment 8 Hans de Goede 2007-10-07 07:53:02 EDT
Nicolas,

Can you please post a proposal to update lash to the fedora-devel list? I think
this needs to be discussed considering the fact that we are post test3. Don't
get me wrong, I would really like to see this get in F-8 esp. with the CCRMA
merger in mind.
Comment 9 Anthony Green 2007-10-09 06:34:17 EDT
(In reply to comment #7)
> Add a update request for lash!
> Can someone add a potential list of package that need a rebuild if we update it
> before F8 to be gold ? (rawhide installation not ready)...

lash has been updated to 0.5.3 in rawhide.  I've also rebuilt all of my packages
depending on lash (fluidsynth, seq24, vkeybd, dssi and zynaddsubfx).
Comment 10 Hans de Goede 2007-10-09 08:10:24 EDT
Nicolas can you do a new (and hopefully last) version against the new lash? Then
I'll take a look at it and approve it.
Comment 11 Anthony Green 2007-10-11 01:08:15 EDT
FWIW, I think the DTD file for jack-rack should be moved from /usr/share/dtds to
/usr/share/xml/jack-rack.  See
http://www.pathname.com/fhs/pub/fhs-2.3.html#AEN2007 and several other packages
that install DTD files (like lash). 

Thanks for asking about this Nicolas.
Comment 12 Nicolas Chauvet (kwizart) 2007-10-11 08:21:17 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/jack-rack/jack-rack.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/jack-rack/jack-rack-1.4.6-3.fc7.src.rpm
Description: Stereo LADSPA effects rack for the JACK audio API

So I moved the dsdt dir to %{_datadir}/xml/jack-rack/dtds (same as lash do now).
Comment 13 Hans de Goede 2007-10-11 08:37:42 EDT
Looks fine now: approved!
Comment 14 Nicolas Chauvet (kwizart) 2007-10-11 08:51:03 EDT
thx for the review:

New Package CVS Request
=======================
Package Name:      jack-rack
Short Description: Stereo LADSPA effects rack for the JACK audio API
Owners:            kwizart nando
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes

Comment 15 Kevin Fenzi 2007-10-11 15:00:31 EDT
cvs done.
Comment 16 Nicolas Chauvet (kwizart) 2007-10-12 04:57:55 EDT
Imported and built for F-8
Fernando, if you want to build it for F-7, I will do it...
Comment 17 Fernando Lopez-Lezcano 2007-10-12 12:25:59 EDT
(In reply to comment #16)
> Imported and built for F-8
> Fernando, if you want to build it for F-7, I will do it...

It'd be great if you could do that... I guess fc6 is out of the loop, right? I'm
still supporting it so if you can't build for that I'll build from your .src.rpm
here. 
Comment 18 Nicolas Chauvet (kwizart) 2007-10-12 12:35:09 EDT
Ok, doing for FC-6 also...

Package Change Request
======================
Package Name: jack-rack
New Branches: FC-6
Comment 19 Kevin Fenzi 2007-10-12 13:40:32 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.